<template>
	<view>
		<mainStatistics :pname="pnameData" :equipmentId="equipmentIdData" :adminId="adminIdData"></mainStatistics>
	</view>
</template>

<script>
	import { mapState, mapActions, mapMutations } from 'vuex';
	import {mainStatistics} from '@/pages/Charts/mainStatistics';
	export default {
		name: 'elseStatistics',
		data() {
			return {
				equipmentId: '',
				adminId: '',
				pname: '',
			}
		},
		computed: {
			...mapState(['loginUser']),
			equipmentIdData:{
				get(){
					return this.equipmentId;
				}
			},
			adminIdData:{
				get(){
					return this.adminId;
				}
			},
			pnameData:{
				get(){
					return this.pname;
				}
			},
		},
		onLoad(option){
			this.equipmentId = option['equipmentId'];
			this.adminId = option['adminId'];
			this.pname = option['pname'];
			console.log("option:",this.equipmentId,this.adminId)
			// this.mainStatistics.init();
		},
		mounted() {
		},
		methods: {
		}
	}
</script>
<style>
</style>